KRB5_FREE_PRINCIPAL(3)

NAME
krb5_free_principal - principal free function

LIBRARY
Kerberos 5 Library (libkrb5, -lkrb5)

SYNOPSIS
#include <krb5.h>
void
krb5_free_principal(krb5_context context, krb5_principal principal);

DESCRIPTION
The krb5_free_principal() will free a principal that has been created with krb5_build_principal(), krb5_parse_name(), or with some other function.

SEE ALSO
krb5_425_conv_principal(3), krb5_build_principal(3), krb5_parse_name(3), krb5_sname_to_principal(3), krb5_unparse_name(3)